<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <title>Document</title>
  <script src="https://unpkg.com/vue"></script>
</head>

<body>
  <div id="app">
    <!--
      - computed property apenas renderiza a propriedade cujos dados afetados foram atualizados.
      - dessa forma, se apenas um dado é alterato e somente uma (dentre várias numa página) renderização a usa, somente esse template é alterado.
      - o template é alimentado como se fosse um dado (e não uma função), para que o método não seja executado quando qualquer dado for alterado.
      - a propriedade computada apenas será executada quando os dados que ela usa forem atualizados (quando 'impactarem' aquela propriedade computada)
      - apesar de ser chamada como propriedade, por baixo, há um cálculo associado e ele só é chamado quando de fato é necessário recalcular o valor
    -->
    <h1>Contador 1</h1>
    <button v-on:click="diminuirCont1">Diminuir</button>
    <button v-on:click="aumentarCont1">Aumentar</button>
    <p>Contador 1: {{ contador1 }}</p>
    <p>Resultado 1: {{ resultado1 }}</p>

    <h1>Contador 2</h1>
    <button v-on:click="diminuirCont2">Diminuir</button>
    <button v-on:click="aumentarCont2">Aumentar</button>
    <p>Contador 2: {{ contador2 }}</p>
    <p>Resultado 2: {{ resultado2 }}</p>
  </div>
  <script src="app.js"></script>
</body>

</html>